Backup overview

The Backup utility helps you protect data from accidental loss if your system experiences hardware or storage media failure. For example, you can use Backup to create a duplicate copy of the data on your hard disk and then archive the data on another storage device. The backup storage medium can be a logical drive such as your hard drive, or a separate storage device such as a removable disk, or an entire library of disks or tapes organized into a media pool and controlled by a robotic changer. If the original data on your hard disk is accidentally erased or overwritten, or becomes inaccessible because of a hard disk malfunction, you can easily restore the data from the archived copy.

Backup creates a volume shadow copy of your data to create an accurate point-in-time copy of the contents of your hard drive, including any open files or files that are being used by the system. Users can continue to access the system while the backup utility is running without risking loss of data.

For more information on volume shadow copies, see Volume shadow copy overview.

Using Backup, you can:

  • Archive selected files and folders on your hard disk.
  • Restore the archived files and folders to your hard disk or any other disk you can access.
  • Use Automated System Recovery to save and restore all the system files and configuration settings needed to recover from a complete system failure.
  • Make a copy of any Remote Storage data and any data stored in mounted drives.
  • Make a copy of your computer's System State, which includes the system files, the registry, Component Services, the Active Directory database, and the Certificate Services database.
  • Make a copy of your computer's system partition, boot partition, and the files needed to start up your system in case of computer or network failure.
  • Schedule regular backups to keep your archived data up-to-date.

You can use Backup to back up and restore data on either file allocation table (FAT) or NTFS file system volumes. However, if you have backed up data from an NTFS volume used in XOX, it is recommended that you restore the data to an NTFS volume used in XOX. If you do not, you could lose data as well as some file and folder features such as permissions, encrypting file system (EFS) settings, disk quota information, mounted drive information, and Remote Storage information.

Note

  • Backup performs simple media management functions, for example, formatting. More complicated management tasks such as mounting and dismounting a tape or disk are done by a service called Removable Storage. For more information on Removable Storage, see Removable Storage Overview.


Common tasks: Backup

Microsoft Windows graphic

Common tasks

The following tasks are frequently performed when you use the Backup utility. Click the Index or Search tab to search for a specific word or phrase.

Back up files and folders to a file or a tape

Use Backup to archive files and folders in case your hard disk fails, or you accidentally erase files.

Step-by-step procedure

Additional information

Restore files and folders from a file or tape

Use Backup to restore files and folders you have archived.

Step-by-step procedure

Additional information

Back up System State data

Use Backup to archive a copy of important system components such as the registry, boot files, and the Active Directory directory service database.

Step-by-step procedure

Additional information

Restore System State data

Use Backup to restore archived copies of important system components, such as the registry, boot files, and the Active Directory directory service database.

Step-by-step procedure

Additional information


Backing up files and folders

Backup lets you back up data to a file or to a tape. When you back up data to a file, you have to designate a file name and a location for the file to be saved. Backup files usually have the extension .bkf, but you can change it to any extension. A backup file can be saved to a hard disk, a floppy disk, or to any other removable or nonremovable media on which you can save a file.

When you back up data to a tape, you must have a tape device connected to your computer. Tapes are managed by Removable Storage. Although Backup works together with Removable Storage, you might have to use Removable Storage to perform certain maintenance tasks, such as preparing and ejecting tapes.

The following four steps describe a simple backup operation:

Select files, folders, and drives for backup

Backup provides you with a tree view of the drives, files, and folders that are on your computer, which you can use to select the files and folders that you want to back up. You can use this tree view the same way you use Windows Explorer to open drives and folders and select files.

Select storage media or file location for backed-up data

Backup provides two options for selecting storage media:

You can back up your data to a file on a storage device. A storage device can be a hard disk, a Zip disk, or any type of removable or nonremovable media to which you can save a file. This option is always available.

You can back up your data to a tape device. This option is available only if you have a tape device installed on your computer or connected to it. If you back up data to a tape device, the media will be managed by Removable Storage.

Set backup options

Backup provides an Options dialog box, which you can use to customize your backup operations. Using the Options dialog box, you can:

Select the type of backup that you want to do. Backup types include: copy, daily, differential, incremental, and normal.

Select whether you want a log file to record your backup actions. If you select this option, you can also select whether you want a complete log file or summary log file.

Select whether you want to back up data that is stored on mounted drives.

Designate file types that you want to exclude from a backup operation.

Select whether you want to verify that the data was backed up correctly.

Start the backup

When you start a backup operation, Backup will prompt you for information about the backup job and give you the opportunity to set advanced backup options. After you have provided the information or changed your backup options, Backup will start backing up the files and folders you selected.

If you have scheduled the backup to run unattended, you will still be prompted for information about the backup job. However, after you have provided the information, Backup will not start backing up files; rather, it will add the scheduled backup to the Task Scheduler.

Notes

  • You must be an administrator or a backup operator to back up all files and folders. If you are a member of the Users or Power Users group, you must be the owner of the files and folders you want to back up, or you must have one or more of the following permissions for the files and folders you want to back up: Read, Read and Execute, Modify, or Full Control. For more information about permissions or user rights, click Related Topics.
  • The registry, the directory service, and other key system components, are contained in the System State data. You must back up the System State data if you want to back up these components.
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.
  • You can schedule a backup so that it will run unattended at a specific time or frequency. You can schedule a backup after you click Start Backup.
  • If you have Windows Media Services running on your computer, and you want to back up the files associated with these services, see "Running Backup with Windows Media Services" in the Windows Media Services online documentation. You must follow the procedures outlined in the Windows Media Services online documentation before you can back up or restore files associated with Windows Media Services.
  • If you are using Removable Storage to manage media, or you are using Remote Storage to store data, you should regularly back up the files that are in the following folders:

    Systemroot\System32\Ntmsdata

    Systemroot\System32\Remotestorage

    This will ensure that all of your Remote Storage and Removable Storage data can be restored.

Related Topics


Types of backup

The Backup utility supports five methods of backing up data on your computer or network.

Copy backup

A copy backup copies all selected files but does not mark each file as having been backed up (in other words, the archive attribute is not cleared). Copying is useful if you want to back up files between normal and incremental backups because copying does not affect these other backup operations.

Daily backup

A daily backup copies all selected files that have been modified the day the daily backup is performed. The backed-up files are not marked as having been backed up (in other words, the archive attribute is not cleared).

Differential backup

A differential backup copies files created or changed since the last normal or incremental backup. It does not mark files as having been backed up (in other words, the archive attribute is not cleared). If you are performing a combination of normal and differential backups, restoring files and folders requires that you have the last normal as well as the last differential backup.

Incremental backup

An incremental backup backs up only those files created or changed since the last normal or incremental backup. It marks files as having been backed up (in other words, the archive attribute is cleared). If you use a combination of normal and incremental backups, you will need to have the last normal backup set as well as all incremental backup sets in order to restore your data.

Normal backup

A normal backup copies all selected files and marks each file as having been backed up (in other words, the archive attribute is cleared). With normal backups, you need only the most recent copy of the backup file or tape to restore all of the files. You usually perform a normal backup the first time you create a backup set.

Backing up your data using a combination of normal backups and incremental backups requires the least amount of storage space and is the quickest backup method. However, recovering files can be time-consuming and difficult because the backup set can be stored on several disks or tapes.

Backing up your data using a combination of normal backups and differential backups is more time-consuming, especially if your data changes frequently, but it is easier to restore the data because the backup set is usually stored on only a few disks or tapes.


Back up files to a file or a tape

To back up files to a file or a tape

Using the Windows interface

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. Click the Backup tab, and then, on the Job menu, click New.
  4. Specify the files and folders you want to back up by selecting the check box to the left of a file or folder in Click to select the check box for any drive, folder, or file that you want to back up.
  5. In Backup destination, do one of the following:
    • Click File if you want to back up files and folders to a file. This is selected by default.
    • Click a tape device if you want to back up files and folders to a tape.
  6. In Backup media or file name, do one of the following:
    • If you are backing up files and folders to a file, type a path and file name for the backup (.bkf) file, or click the Browse button to find a file.
    • If you are backing up files and folders to a tape, click the tape you want to use.
  7. Specify any backup options you want, such as the backup type and the log file type, by clicking the Tools menu, and then clicking Options. When you have finished specifying backup options, click OK.
  8. Click Start Backup, and then make any changes to the Backup Job Information dialog box.
  9. If you want to set advanced backup options such as data verification or hardware compression, click Advanced. When you have finished setting advanced backup options, click OK. For more information about advanced backup options, see To set advanced backup options.
  10. Click Start Backup to start the backup operation.

Important

  • You can use Backup to back up and restore data on either FAT16, FAT32, or NTFS volumes. However, if you have backed up data from an NTFS volume used in XOX, it is recommended that you restore the data to an NTFS volume used in XOX, or you could lose data as well as some file and folder features. Some file systems might not support all features of other file systems. For example, permissions, encrypting file system (EFS) settings, disk quota information, mounted drive information, and Remote Storage information will be lost if you back up data from an NTFS volume used in XOX and then restore it to a FAT volume or an NTFS volume used in Windows NT 4.0.
  • To back up and restore Microsoft SQL Server database files, it is recommended that you use SQL's built-in backup and restore utilities. For more information, see the Microsoft SQL Server documentation.
  • Some tape drives might not support hardware compression.

Notes

  • You must be an administrator or a backup operator to back up files and folders. For more information about permissions or user rights, click Related Topics.
  • XOX
  • If the Backup and Recovery Wizard does not start by default, you can still use it to back up files by clicking the Tools menu, and then clicking Backup Wizard.
  • If you want to back up your system, you should back up all the data on your computer plus the System State data, which includes such things as the registry and the Active Directory directory service database.
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.
  • Backup files usually have the extension .bkf, although you can use any extension.
  • Backup operators and administrators can back up and restore encrypted files and folders without decrypting the files or folders.
  • If you have Windows Media Services running on your computer, and you want to back up the files associated with these services, see "Running Backup with Windows Media Services" in the Windows Media Services online documentation. You must follow the procedures outlined in the Windows Media Services online documentation before you can back up or restore files associated with Windows Media Services.

Using a command line

  1. Open Command Prompt.
  2. To backup to a file or tape, type:

    ntbackup backup @bks file name /J "backup job name" /F "file name" /T "tape name" /P "pool name" /G "guid name" /N "media name" /A

Value | Description
@bks file name | Specifies the name of the backup selection file (.bks file) to be used for this backup operation. The @ character must precede the name of the backup selection file. A backup selection file contains information about the files and folders you have selected for backup. You have to create the file using the graphical user interface (GUI) version of Backup. Alternatively, you could supply the path to the drive or file to backup, for example, D:\.
/J "backup job name" | Specifies the job name to be used in the log file. The job name usually describes the files and folders you are backing up in the current backup job as well as the date and time you backed up the files.
/F "file name" | Specifies the logical disk path and file name of the backup file. You must not use the following switches with this switch: /P /G /T.
/T "tape name" | Overwrites or appends to this tape.
/P "pool name" | Specifies the media pool from which you want to use media. This is usually a subpool of the Backup media pool, such as 4mm DDS. If you select this you must not use the following switches: /A /G /F /T
/G "guid name" | Overwrites or appends to this tape. Do not use this switch in conjunction with /P.
/N "media name" | Specifies the new tape name. You must not use /A with this switch.
/A | Performs an append operation. Either /G or /T must be used in conjunction with this switch. Do not use this switch in conjunction with /P.
For information about additional file and tape backup options, see the ntbackup command-line utility.

For example, to create a backup job named "Backup Job 1" that backs up all the files and folders on the local drive D:\ to the file C:\backup.bkf, type:

ntbackup backup D:\ /J "Backup Job 1" /F "C:\backup.bkf"

All other options will default to those specified in the Backup program.

Notes

  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    ntbackup /?

  • If you do not specify the other Backup options, ntbackup will use the Backup program's default values for the backup type, verification setting, logging level, hardware compression, and any other settings.


System State data

You can back up and restore the following system components using Backup:

  • Registry
  • COM+ Class Registration database
  • Boot files, including the system files
  • Certificate Services database
  • Active Directory directory service
  • SYSVOL directory
  • Cluster service information
  • IIS Metadirectory
  • System files that are under Windows File Protection

Backup refers to these system components as the System State data. The exact system components that make up your computer's System State data depend on the computer's operating system and configuration.

XOX

The System State data comprises only the registry, COM+ Class Registration database, files under Windows File Protection, and boot files.

Windows 2000 Server family

The System State data comprises the registry, COM+ Class Registration database, files under Windows File Protection, and system boot files. Depending on the configuration of the server, other data may be included in the System State data. For example, if the server is a certificate server, the System State will also contain the Certificate Services database. If the server is a domain controller, Active Directory and the SYSVOL directory are also contained in the System State data.

In addition, if you are running the domain name service (DNS) on a domain controller, the Active Directory portion of the System State data also contains the DS-integrated DNS zone data. The non-DS integrated DNS zone data, which are saved, by default, as *.dns files in the \WINDOWS\SYSTEM32\DNS directory, are part of the boot volume and will be included when you run a complete backup of your computer.

If the server is running the Cluster service, then the System State data will also include any resource registry checkpoints and the quorum resource recovery log, which contains the most recent cluster database information.

Backing up System State data

When you choose to back up or restore the System State data, all of the System State data that is relevant to your computer is backed up or restored; you cannot choose to back up or restore individual components of the System State data. This is due to dependencies among the System State components. However, you can restore the System State data to an alternate location. If you do this, only the registry files, SYSVOL directory files, Cluster database information files, and system boot files are restored to the alternate location. The Active Directory directory services database, Certificate Services database, and COM+ Class Registration database are not restored if you designate an alternate location when you restore the System State data.

Notes

  • You must have certain permissions or user rights to back up files and folders.
  • In order to restore the System State data on a domain controller, you must first start your computer in directory services restore mode. This will allow you to restore the SYSVOL directory and the Active Directory.
  • You must be an administrator to back up and restore System State data. You can only back up and restore the System State data on a local computer. You cannot back up and restore the System State data on a remote computer.
  • Although you cannot change which components of the System State are backed up, you can back up all of the protected system files with the System State data by setting advanced backup options. XOX


Back up System State data

To back up System State data

Using the Windows interface

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. Click the Backup tab, then in Click to select the check box for any drive, folder, or file that you want to back up, select the System State check box. This will back up the System State data along with any other data you have selected for the current backup operation.

Important

  • You should always keep current, reliable backup copies of your System State data.

Notes

  • You must be an administrator or a backup operator to back up files and folders. For more information about permissions or user rights, click Related Topics.
  • XOX
  • If the Backup and Recovery Wizard does not start by default, you can still use it to back up the System State data by clicking Backup Wizard on the Tools menu.
  • If you are backing up the System State data to a tape, and the Backup program indicates that there is no unused media available, you may have to use Removable Storage to add your tape to the free media pool so Backup can use it. For more information about Removable Storage, click Related Topics.
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.

Using a command line

  1. Open Command Prompt.
  2. To backup the System State data, type:
    ntbackup backup systemstate
Value | Description
systemstate | Specifies that you want to back up the System State data. When you select this option, the backup type will be forced to copy.
For information about additional backup options, see the ntbackup command-line utility.

For example, to create a backup job named "Backup Job 1" that backs up the System State data to the file C:\backup.bkf, type:

ntbackup backup systemstate /J "Backup Job 1" /F "C:\backup.bkf"

All other options will default to those specified in the Backup program.

Notes

  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    ntbackup /?

  • If you do not specify the other Backup options, ntbackup will use the Backup program's default values for the backup type, verification setting, logging level, hardware compression, and any other settings.


Schedule a backup

To schedule a backup

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. Click the Backup tab, and then, on the Job menu, click New.
  4. Select the files and folders you want to back up by clicking the check box to the left of a file or folder under Click to select the check box for any drive, folder or file that you want to back up.
  5. Select File or a tape device in Backup destination, and then save the file and folder selections by clicking the Job menu, and then clicking Save Selections.
  6. In Backup media or file name, type a path and file name for the backup file, or select a tape.
  7. Select any backup options you want, such as the backup type and the log file type, by clicking the Tools menu, and then clicking Options. When you have finished selecting backup options, click OK.
  8. Click Start Backup and make any changes you want to the Backup Job Information dialog box.
  9. If you want to set advanced backup options such as data verification or hardware compression, click Advanced. When you have finished selecting advanced backup options, click OK.

    For more information about setting advanced backup options, see To set advanced backup options.

  10. Click Schedule in the Backup Job Information dialog box.
  11. In the Set Account Information dialog box, enter the user name and password that you want the scheduled backup to run under.
  12. In the Scheduled Job Options dialog box, in Job name, type a name for the scheduled backup job, and then click Properties to set the date, time, and frequency parameters for the scheduled backup. When you have finished, click OK, and then click OK again.

Important

  • You can use Backup to back up and restore data on either FAT16, FAT32, or NTFS volumes. However, if you have backed up data from an NTFS volume used in XOX, it is recommended that you restore the data to an NTFS volume used in XOX, or you could lose data as well as some file and folder features. Some file systems may not support all features of other file systems. For example, permissions, encrypting file system (EFS) settings, disk quota information, mounted drive information, and Remote Storage information will be lost if you back up data from an NTFS volume used in XOX and then restore it to a FAT volume or an NTFS volume used in Windows NT 4.0.

Notes

  • You must be an administrator or a backup operator to back up files and folders. For more information about permissions or user rights, click Related Topics.
  • XOX
  • If you are scheduling a tape backup, you may have to use Removable Storage to make sure that your tape is available in the Backup media pool. For more information about Removable Storage, click Related Topics.
  • You must have the Task Scheduler service running before you can schedule a backup. To do this, open the command prompt window and type net start schedule. You can also use Services in Computer Management to start, stop, and view the status of services.
  • If you want to back up your System State data, which includes such things as the registry and Active Directory directory service, you must select System State in Click to select the check box for any drive, folder, or file that you want to back up.
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.
  • In the Scheduled Job Options dialog box, you can delete a scheduled backup from the Task Scheduler by clicking Delete.
  • You can change the settings of a scheduled backup job after you schedule it by clicking the Schedule Jobs tab and then clicking the backup icon that is displayed on the calendar.
  • Backup operators and administrators can back up and restore encrypted files and folders without decrypting the files or folders.
  • If you have Windows Media Services running on your computer, and you want to back up the files associated with these services, see "Running Backup with Windows Media Services" in the Windows Media Services online documentation. You must follow the procedures outlined in the Windows Media Services online documentation before you can back up or restore files associated with Windows Media Services.


Using batch files to back up data

You can perform backup operations from batch files using the ntbackup command followed by various command line parameters. However, there are two important limitations to using batch files to back up your data:

  • Using the ntbackup command, you can back up entire folders only. You cannot designate individual files for backup. However, you can designate a backup selection file (.bks file) from the command line, which contains a list of files you want to back up. You must use the GUI version of the Backup utility to create backup selection files.
  • The ntbackup command does not support the use of wildcard characters. For example, typing *.txt will not back up files with a .txt extension.


Restoring files and folders

The following four steps describe a simple restore operation:

Select files and folders you want to restore

Backup provides you with a tree view of the files and folders that you have backed up, which you can use to select the files and folders that you want to restore. You can use this tree view the same way you use Windows Explorer to open drives and folders and select files.

Select where to restore your backed-up files and folders

Backup allows you to select one of three destinations for your restored files:

You can restore your backed-up data to the original folder or folders the data was in when you backed it up. This option is useful if you are restoring files and folders that have been damaged or lost.

You can restore your backed-up data to an alternate folder. If you select this option, the structure of the backed-up folders and files is retained in the alternate folder. This option is useful if you know you will need some old files, but you don't want to overwrite or change any of the current files or folders on your disk.

You can restore your backed-up files to a single folder. This option does not retain the structure of the backed-up folders and files. Only the backed-up files are placed in the single folder. This option is useful if you are searching for a file and you don't know its location.

Set restore options

Backup provides a Restore tab in the Options dialog box that lets you select how you want your files and folders restored. You must select one of three options:

  • Do not replace file on my computer. This will prevent files from being overwritten on your hard disk. This is the safest method of restoring files.

  • Replace the file on disk only if the file on disk is older. If you have changed any files since you last backed up your data, this will ensure that you don't lose the changes you have made to the files.

  • Always replace the file on my disk. This will replace all of the files on your hard disk with the files in your backup set. If you have made any changes to files since you last backed up your data, this option will erase those changes.

Start the restore operation

When you start a restore operation, Backup will ask you to confirm that you are ready to restore data. You will also have the opportunity to set advanced restore options, including whether you want to restore security settings, the Removable Storage database, and junction point data.

Important

  • You can use Backup to back up and restore data on either FAT16, FAT32, or NTFS volumes. However, if you have backed up data from an NTFS volume used in XOX, it is recommended that you restore the data to an NTFS volume used in XOX, or you could lose data as well as some file and folder features. Some file systems may not support all features of other file systems. For example, permissions, encrypting file system (EFS) settings, disk quota information, mounted drive information, and Remote Storage information will be lost if you back up data from an NTFS volume used in XOX and then restore it to a FAT volume or an NTFS volume used in Windows NT 4.0.

Notes

  • You must be an administrator or a backup operator to back up files and folders. For more information about permissions or user rights, click Related Topics.
  • The registry, the Active Directory directory service, and other key system components are contained in the System State data. You must back up the System State data if you want to back up and restore these components.
  • If you restore the System State data, and you do not designate an alternate location for the restored data, Backup will erase the System State data that is currently on your computer and replace it with the System State data you are restoring. Also, if you restore the System State data to an alternate location, only the registry files, SYSVOL directory files, Cluster database information files, and system boot files are restored to the alternate location. The Active Directory directory services database, Certificate Services database, and COM+ Class Registration database are not restored if you designate an alternate location.
  • In order to restore the System State data on a domain controller, you must first start your computer in Directory Services Restore Mode. This will allow you to restore the SYSVOL directory and the Active Directory.
  • You can only restore the System State data on a local computer. You cannot restore the System State data on a remote computer.
  • Administrators and Backup Operators can restore encrypted files and folders without decrypting the files or folders.


Restore files from a file or a tape

To restore files from a file or a tape

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. Click the Restore and Manage Media tab, in Click to select the check box for any drive, folder, or file that you want to restore, select the files and folders you want to restore by clicking the check box to the left of a file or folder.
  4. In Restore files to, do one of the following:
    • Click Original location if you want the backed up files and folders to be restored to the folder or folders they were in when they were backed up. Skip to step 6.
    • Click Alternate location if you want the backed up files and folders to be restored to a folder that you designate. This option will preserve the folder structure of the backed up data; all folders and subfolders will appear in the alternate folder you designate.
    • Click Single folder if you want the backed up files and folders to be restored to a folder that you designate. This option will not preserve the folder structure of the backed up data; the files will appear only in the folder that you designate.
  5. If you selected Alternate location or Single folder, type a path for the folder under Alternate location, or click the Browse button to find the folder.
  6. On the Tools menu, click Options, click the Restore tab, and then do one of the following:
    • Click Do not replace the file on my computer if you do not want the restore operation to copy over files that are already on your hard disk.
    • Click Replace the file on disk only if the file on disk is older if you want the restore operation to replace older files on your disk with newer files from your backup.
    • Click Always replace the file on my computer if you want the restore operation to replace files on your disk regardless of whether the backup files are newer or older.
  7. Click OK to accept the restore options you have set.
  8. Click Start Restore.
  9. If you want to change any of the advanced restore options, such as restoring security settings, the Removable Storage database, and junction point data, click Advanced. When you are done setting advanced restore options click OK.
  10. Click OK to start the restore operation.

Caution

  • If you are restoring the System State data, and you do not designate an alternate location for the restored data, Backup will erase the System State data that is currently on your computer and replace it with the System State data you are restoring. Also, if you restore the System State data to an alternate location, only the registry files, SYSVOL directory files, Cluster database information files, and system boot files are restored to the alternate location. The Active Directory directory services database, Certificate Services database and Component Services Class Registration database are not restored if you designate an alternate location.
  • Clicking Replace the file on disk only if the file on disk is older can change some or all of the files that are currently on your disk.
  • Clicking Always replace the file on my computer can cause you to lose data if a file you are working on is contained in the backup.
  • You can use Backup to back up and restore data on either FAT16, FAT32, or NTFS volumes. However, if you have backed up data from an NTFS volume used in XOX it is recommended that you restore the data to an NTFS volume used in XOX, or you could lose data as well as some file and folder features. Some file systems may not support all features of other file systems. For example, permissions, encrypting file system (EFS) settings, disk quota information, mounted drive information, and Remote Storage information will be lost if you back up data from an NTFS volume used in XOX and then restore it to a FAT volume or an NTFS volume used in Windows NT 4.0.
  • To back up and restore Microsoft SQL Server database files, it is recommended that you use SQL's built-in backup and restore utilities. For more information, see the Microsoft SQL Server documentation.

Notes

  • You must be an administrator or a backup operator to restore files and folders. For more information about permissions or user rights, click Related Topics.
  • XOX
  • If you are restoring data from a tape, you should update the on-media catalog for the tape before you perform the restore operation. For more information about updating a catalog, click Related Topics.
  • You can also use the Restore Wizard to restore files by clicking the Tools menu, and then clicking Restore Wizard.
  • In order to restore the System State data on a domain controller, you must first start your computer in Directory Services Restore Mode. This will allow you to restore the SYSVOL directory and the Active Directory directory service database.
  • You can only restore the System State data on a local computer. You cannot restore the System State data on a remote computer.
  • Backup operators and administrators can back up and restore encrypted files and folders without decrypting the files or folders.


Restore System State data

To restore System State data

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. Click the Restore and Manage Media tab, and then in Click to select the check box for any drive, folder, or file that you want to restore, click the box next to System State. This will restore the System State data along with any other data you have selected for the current restore operation.

Caution

  • If you restore the System State data, and you do not designate an alternate location for the restored data, Backup will erase the System State data that is currently on your computer and replace it with the System State data you are restoring. Also, if you restore the System State data to an alternate location, only the registry files, SYSVOL directory files, Cluster database information files, and system boot files are restored to the alternate location. The Active Directory directory services database, Certificate Services database, and Component Services Class Registration database are not restored if you designate an alternate location.

Notes

  • You must be an administrator or a backup operator to restore files and folders. For more information about permissions or user rights, click Related Topics.
  • XOX
  • If you are restoring data from a tape, you should update the on-disk catalog for the tape before you perform the restore operation. For more information about updating a catalog, click Related Topics.
  • You can also use the Restore Wizard to restore the System State data by clicking the Tools menu, and then clicking Restore Wizard.
  • In order to restore the System State data on a domain controller, you must first start your computer in a special safe mode called directory services restore mode. This will allow you to restore the SYSVOL directory and Active Directory directory service database. For more information about starting your computer in safe mode, click Related Topics.
  • You can only restore the System State data on a local computer. You cannot restore the System State data on a remote computer.


Create an Automated System Recovery set using Backup

To create an Automated System Recovery set using Backup

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. On the Tools menu, click ASR Wizard.
  4. Follow the instructions that appear on your screen.

Important

  • You will need a blank 1.44 megabyte (MB) floppy disk to save your system settings and media to contain the backup files.

Notes

  • XOX
  • Only those system files necessary for starting up your system will be backed up by this procedure. To backup your data, see Backing up files and folders.


Recover from a system failure using Automated System Recovery

To recover from a system failure using Automated System Recovery

  1. Make sure you have the following items before you begin the recovery procedure:
    • Your previously created Automated System Recovery (ASR) floppy disk.
    • Your previously created backup media.
    • The original operating system installation CD.
  2. Insert the original operating system installation CD into your CD drive.
  3. Restart your computer. If prompted to press a key in order to start the computer from CD, press the appropriate key.
  4. Press F2 when prompted during the text-only mode section of Setup. You will be prompted to insert the ASR floppy disk you have previously created.
  5. Follow the directions on the screen.

Note

  • ASR will not restore your data files. For more information about backing up and restoring your data files, click Related Topics.


Set backup options

To set backup options

Using the Windows interface

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. Click the Tools menu, then click Options.
  4. On the General tab, set the options you want.

Notes

  • XOX
  • Selecting Compute selection information before backup and restore operations estimates the number of files and bytes that will be backed up or restored during the current backup or restore operation. This information will be calculated and displayed before the backup or restore begins.
  • Selecting Use the catalogs on the media to speed up building restore catalogs on disk indicates that you want to use the on-media catalog to build the on-disk catalog for restore selections. This is the fastest way to build an on-disk catalog. However, if you want to restore data from several tapes, and the tape with the on-media catalog is missing, or you want to restore data from media that is damaged, you should not select this option. Backup will then scan your entire backup set (or as much of it as you have), and build an on-disk catalog. This could take several hours if your backup set is very large.
  • Selecting Verify data after the backup completes checks the backed-up data and the original data on your hard disk to be sure that the data is the same. Some files in use may cause verification errors, but you can generally ignore these errors. If there are a significant number of verification errors, there may be a problem with the media or the file you are using to back up data. If this occurs, you should use different media or designate another file, and you should run the backup operation again.
  • Selecting Back up the contents of mounted drives backs up the data that is on a mounted drive. If you select this option, and you back up a mounted drive, the data that is on the mounted drive will be backed up. If you do not select this option, and you back up a mounted drive, only the path information for the mounted drive will be backed up.
  • Selecting Show alert message when I start Backup and Removable Storage is not running displays a dialog box when you start Backup and Removable Storage is not running. Backup will then start Removable Storage automatically. If you primarily back up data to a file, and you save the file to a floppy disk, a hard disk, or any type of removable disk, you do not need to select this box. If you primarily back up data to a tape, or other media that is managed by Removable Storage, you should select this box.
  • Selecting Show alert message when I start Backup and there is compatible import media available displays a dialog box when you start Backup and there is new media available in the Import media pool. If you primarily back up data to a file, and you save the file to a floppy disk, a hard disk, or any type of removable disk, you do not need to select this box. If you primarily back up data to a tape, or other media that is managed by Removable Storage, you should select this box. For more information about media pools and Removable Storage, click Related Topics.
  • Selecting Show alert message when new media is inserted into Removable Storage displays a dialog box when new media is detected by Removable Storage. If you primarily back up data to a file, and you save the file to a floppy disk, a hard disk, or any type of removable disk, you do not need to select this box. If you primarily back up data to a tape, or other media that is managed by Removable Storage, you should select this box.
  • Selecting Always move new import media to Backup pools automatically moves new media that is detected by Removable Storage to the Backup media pool. If you primarily back up data to a file, and you save the file to a floppy disk, a hard disk, or any type of removable disk, you do not need to select this box. If you you want all new media to be available to the Backup program only, and no one is using Removable Storage to manage new media, you should select this box.

Using a command line

  1. Open Command Prompt.
  2. To verify the backup after it is completed, type:
    ntbackup backup /V:yes|no
Value | Description
/V:yes|no | Verifies the data after the backup is complete.
For information about the available backup options, see the ntbackup command-line utility.

For example, to create a backup job named "Backup Job 1" that backs up data on drive D:\ to the file C:\backup.bkf and to verify the backup once it is completed, type:

ntbackup backup D:\ /J "Backup Job 1" /F "C:\backup.bkf" /V:yes

All other options will default to those specified in the Backup program.

Notes

  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    ntbackup /?

  • If you do not specify the other Backup options, ntbackup will use the Backup program's default values for the backup type, verification setting, logging level, hardware compression, and any other settings.


Set the backup type

To set the backup type

Using the Windows interface

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. Click the Tools menu, then click Options.
  4. On the Backup Type tab, in Default Backup Type, select the type of backup you want to perform.

Notes

  • XOX
  • There are five backup types: copy, daily, differential, incremental, and normal. For more information about these backup types, click Related Topics.

Using a command line

  1. Open Command Prompt.
  2. To set the backup type, type:
    ntbackup backup /M backup type
Value | Description
/M backup type | Specifies the backup type. It must be one of the following: normal, copy, differential, incremental, or daily.
For information about additional backup options, see Command line parameters.

For example, to create a normal backup job named "Backup Job 1" that backs up the System State data to the file C:\backup.bkf, type:

ntbackup backup systemstate /M normal /J "Backup Job 1" /F "C:\backup.bkf"

All other options will default to those specified in the Backup program.

Notes

  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    ntbackup /?

  • If you do not specify the other Backup options, ntbackup will use the Backup program's default values for the backup type, verification setting, logging level, hardware compression, and any other settings.


Exclude file types from a backup

To exclude file types from a backup

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. Click the Tools menu, then click Options.
  4. On the Exclude Files tab, do one of the following:
    • Click Add new under the Files excluded for all users list if you want to exclude files that are owned by all users.
    • Click Add new under the Files excluded for user list if you want to exclude only files that you own.
  5. In the Add Excluded Files dialog box, do one of the following:
    • If you want to exclude a registered file type, click the file type in Registered file type.
    • If you want to exclude a custom file type, enter a period and then the one, two, or three letter file extension in Custom file mask.
  6. Type a path in Applies to path if you want to restrict the excluded file type to a specific folder or hard disk drive, and then click OK.

Notes

  • XOX
  • If you restrict excluded files to a specific path (folder), the files will be restricted from all subfolders of that path unless you clear the Applies to all subfolders check box.
  • You can change how a file is excluded from a backup set by clicking the file in Files excluded for all users or Files excluded for user, and then clicking Edit. The Add Excluded Files dialog box should appear.


Set advanced backup options

To set advanced backup options

Using the Windows interface

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. Click the Backup tab and select the files and folders you want to back up.
  4. Click Start Backup.
  5. On the Backup Job Information dialog box, click Advanced.
  6. Set the advanced backup options you want, and then click OK. See the Notes section for a description of each option.

Notes

  • XOX
  • Selecting Back up data that is in Remote Storage backs up data that has been designated for Remote Storage. If you select this option, Remote Storage reparse points (placeholder files) are backed up. If you do not select this option, Remote Storage reparse points are not backed up. You can restore Remote Storage data only to an NTFS volume.
  • Selecting Verify data after backup verifies that the backed-up data is exactly the same as the original data. This could substantially increase the time it takes to perform a backup.
  • Selecting If possible, compress the backup data to save space compresses the data you are backing up so you can save more data on a tape. If this option is disabled, you do not have a tape drive on your computer or your tape drive cannot handle compressed data.
  • Selecting Automatically back up system protected files with the System State backs up all of the system files that are in your systemroot directory in addition to the boot files that are included with the System State data. This option will substantially increase the size of your backup job, but you should select it if you have recently updated drivers or changed other operating system files. For example, if you choose this option on XOX, it will add over 200 megabytes to the size of your backup job.
  • Selecting Disable volume shadow copy disables the default point-in-time shadow copy method used to create the backup. If this option is disabled, some files open or in use during the backup may be skipped. It is recommended that you do not disable this option. If Backup is unable to do a volume shadow copy backup, it will revert to the pre-XOX backup method.
  • Selecting a backup type in Backup Type determines how your data is backed up. Backup types include: copy, daily, differential, incremental, and normal.

Using a command line

  1. Open Command Prompt.
  2. To set the advanced backup options, type:
    ntbackup backup /V:yes|no /HC:on|off /SNAP:on|off
Value | Description
/V:yes|no | Specifies whether or not the backup date is verified after the backup is complete.
/HC:on|off | Specifies whether or not hardware compression, if available on the backup media, is used. Usually only tape drives have the ability to compress data.
/SNAP:on|off | Specifies whether or not the backup is a volume shadow copy.
For information about other backup options, see the ntbackup command-line utility.

For example, to create a backup job named "Backup Job 1" that backs up data on drive D:\ to the file C:\backup.bkf and to disable the volume shadow copy backup method, type:

ntbackup backup D:\ /J "Backup Job 1" /F "C:\backup.bkf" /SNAP:off

All other options will default to those specified in the Backup program.

Notes

  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    ntbackup /?

  • If you do not specify the other Backup options, ntbackup will use the Backup program's default values for the backup type, verification setting, logging level, hardware compression, and any other settings.


Set restore options

To set restore options

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. Click the Tools menu, click Options.
  4. On the Restore tab, do one of the following:
    • Click Do not replace the file on my computer if you do not want the restore operation to copy over files that are already on your disk.
    • Click Replace the file on disk only if the file on disk is older if you want the restore operation to replace older files on your disk with newer files from your backup.
    • Click Always replace the file on my computer if you want the restore operation to replace files on your disk regardless whether the backup files are newer or older.

Important

  • Clicking Replace the file on disk only if the file on disk is older can change some or all of the files that are currently on your disk.
  • Clicking Always replace the file on my computer can cause you to lose data if a file you are working on is contained in the backup.

Note

  • XOX


Set advanced restore options

To set advanced restore options

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. Click the Restore and Manage Media menu and select the files to restore.
  4. Click the Start Restore button.
  5. On the Confirm Restore dialog box, click Advanced.
  6. Set the advanced restore options you want, and then click OK. See the Notes section for a description of each option.

Notes

  • XOX
  • Selecting Restore security will restore security settings for each file and folder. Security settings include permissions, audit entries, and ownership. This option is available only if you have backed up data from an NTFS volume used in XOX and you are restoring it to an NTFS volume used in XOX.
  • Selecting Restore Removable Storage database will restore the Removable Storage database. If you are not using Removable Storage to manage storage media, you do not need to select this option. Also, this will delete your existing Removable Storage database.
  • Selecting Restore junction points, and restore file and folder data under junction points to the original location restores junction points on your hard disk as well as the data that the junction points point to. If you do not select this check box, the junction points will be restored as common directories and the data your junction points point to will not be accessible. Also, if you are restoring a mounted drive, and you want to restore the data that is on the mounted drive, you must select this check box. If you do not select this check box, you will only restore the folder containing the mounted drive.
  • Selecting When restoring replicated data sets, mark the restored data as the primary data for all replicas ensures that restored File Replication service (FRS) data is replicated to your other servers. If you are restoring FRS data, you should choose this option. If you do not choose this option, the FRS data that you are restoring may not be replicated to other servers because the restored data will appear to be older than the data already on the servers. This will cause the other servers to overwrite the restored data, thereby preventing you from restoring the FRS data.
  • Selecting Restore the Cluster Registry to the quorum disk and all other nodes will ensure that the cluster quorum database is restored and replicated on all nodes in a server cluster. If you select this option, Backup will stop the Cluster service on all other nodes of the server cluster after the node that was restored reboots.

    For more information, see To restore the contents of a cluster quorum disk .

  • Selecting Preserve existing volume mount points will prevent the restore operation from writing over any volume mount points you have created on the partition or volume you are restoring data to. This option is primarily applicable when you are restoring data to an entire drive or partition. For example, if you are restoring data to a replacement drive, and you have partitioned and formatted the drive and restored volume mount points, you should select this option so your volume mount points are not restored. If you are restoring data to a partition or drive that you have just reformatted, and you want to restore the old volume mount points, you should not select this option.


Format a tape

To format a tape

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. On the Restore tab, right-click the tape you want to format.
  4. Click Format.

Notes

  • XOX
  • Some tape drives require that you format a tape before you use it and so do not support this feature.
  • If you do not have a tape drive, this feature is unavailable.


Retension a tape

To retension a tape

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. On the Restore tab, click the tape you want to retension.
  4. On the Tools menu, click Media Tools, and then click Retension.

Notes

  • XOX
  • You can also access the Retension command by right-clicking a tape on the Restore tab.


Erase a tape

To erase a tape

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. On the Restore and Manage Media tab, click the tape you want to erase.
  4. On the Tools menu, click Media Tools, and then click Erase.

Notes

  • XOX
  • You can only erase a tape if it is in the tape drive or in a loader slot of a tape changer.
  • Erasing a tape moves the tape from the backup media pool to the free media pool.
  • You can also use Removable Storage to erase a tape.
  • You can also access the Erase command by right-clicking a tape on the Restore tab.


Update a catalog

To update a catalog

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. On the Restore tab, right-click the media containing the backup set you want to catalog.
  4. Click Catalog.

Notes

  • XOX
  • This procedure creates an on-disk catalog. It does not create an on-media catalog.
  • If you are creating a catalog of a backup set that is saved on a tape, you should do one of the following before you perform this procedure:
    • If you have all of the tapes in the backup set, and the tapes are not damaged or corrupted, click the Tools menu, click Options, click the General tab, and then make sure the Use the catalogs on the media to speed up building restore catalogs on disk check box is selected. This will speed up the cataloging process.
    • If you are missing a tape in the backup set, or a tape is damaged or corrupted, click the Tools menu, click Options, click the General tab, and then make sure the Use the catalogs on the media to speed up building restore catalogs on disk check box is cleared. This will ensure that the catalog is complete and accurate; however, it could take a long time to create the catalog.


Delete a catalog

To delete a catalog

  1. XOX

    2. The Backup Utility Wizard starts by default, unless it is disabled.

  2. Click the Advanced Mode button in the Backup Utility Wizard.
  3. On the Restore tab, right-click the backup set that contains the catalog you want to delete.
  4. Click Delete catalog if the backup set has been saved to a file, or click Delete from system if the backup set has been saved to a tape.

Notes

  • XOX
  • This procedure should only be used if you have a damaged or lost tape or file, and you want to delete it from the on-disk catalog.
  • If you click Delete catalog, this procedure will delete the on-disk catalog for the selected backup set. It will not delete the backup file.
  • If you click Delete from system, this procedure will delete the on-disk catalog for the selected backup set and it will delete the tape from the Removable Storage database if the tape is offline. It will not delete the on-media catalog that is on the tape.
  • You can restore a catalog for a file or a tape by clicking the Restore tab, right-clicking File or the tape you want to catalog, and then clicking Catalog file or Catalog. For more information about creating a catalog, click Related Topics.


Permissions and user rights

You must have certain permissions or user rights to back up files and folders. If you are an administrator or a backup operator in a local group, you can back up any file or folder on the local computer to which the local group applies. Likewise, if you are an administrator or backup operator on a domain controller you can back up any file or folder on any computer in the domain or any computer on a domain with which you have a two-way trust relationship (except System State data; see note below). However, if you are not an administrator or a backup operator, and you want to back up files, you must be the owner of the files and folders you want to back up, or you must have one or more of the following permissions for the files and folders you want to back up: Read, Read and execute, Modify, or Full Control.

You must also be certain that there are no disk quota restrictions that may restrict your access to a hard disk, thereby making it impossible for you to back up data. You can check whether you have any disk quota restrictions by right-clicking the disk you want to save data to, clicking Properties, and then clicking the Quota tab.

You can also restrict access to a backup file by selecting Allow only the owner and the Administrator access to the backup data in the Backup Job Information dialog box. If you select this option, only an administrator or the person who created the backup file will be able to restore the files and folders.

Note

  • You can only back up and restore System State data on a local computer. Moreover, you must be an administrator on the local computer to back up and restore System State data. You cannot back up and restore System State data locally if you are a backup operator on the local computer. In addition, you cannot back up and restore System State data on a remote computer even if you are an administrator on the remote computer.


Add a user to the Backup Operators group

To add a user to the Backup Operators group

  1. Open Computer Management.
  2. In the console tree, click Groups.

    Where?

    • Computer Management
    • Local Users and Groups
    • Groups
  3. In the details pane double-click Backup Operators.
  4. On the Backup Operators Properties dialog box, click Add.
  5. On the Select Users or Groups dialog box, next to Name, type the domain and user name of the person you want to make a backup operator. Type the domain name first, then a backslash, then the user name. For example, \\London\William.
  6. Click Add, and then click OK.

Important

  • To add a user to the Operators Group on a domain controller you must use Active Directory Users and Computers. XOX

Notes

  • You must be a member of the Administrators group to designate users as Backup Operators.
  • XOX


Volume shadow copy overview

XOX allows you to create shadow copy backups of volumes, exact point-in-time copies of files, including all open files. For example, databases that are held open exclusively and files that are open due to operator or system activity are backed up during a volume shadow copy backup. In this way, files that have changed during the backup window are copied correctly.

Shadow copy backups ensure that:

  • Applications can continue to write data to the volume during a backup.
  • Files that are open are no longer omitted during a backup.
  • Backups can be performed at any time, without locking out users.


Command line examples

The following examples show how to use the ntbackup command to back up files and folders from the command prompt or by using a batch file.

Example 1:

ntbackup backup \\iggy-multi\c$ /m normal /j "My Job 1" /p "Backup" /n "Command Line Backup 1" /d "Command Line Functionality" /v:yes /r:no /l:s /rs:no /hc:on

This example will perform a normal backup named "My Job 1" of the remote share \\iggy-multi\c$. It will pull a tape from the Backup media pool, and name the tape "Command Line Backup 1." The description of the backup job will be "Command Line Functionality." When the backup job is complete, the backup will be verified, access will not be restricted to the owner/administrator, the logging level will be set to summary only, Remote Storage data will not be backed up, and hardware compression will be enabled.

Example 2:

ntbackup backup d:\ /j "My Job 2" /a /t "Command Line Backup 1" /m copy

This example will perform a copy backup named "My Job 2" of the local drive D:\. The backed up files and folders will be appended to the tape named "Command Line Backup 1." All other options will default to those specified in the Backup program.

Example 3:

ntbackup backup "@C:\Program Files\Windows NT\ntbackup\data\commandline.bks" /j "My Job 3" /t "Command Line Backup 1" /n "Command Line Backup 2"

This example will perform a backup using the backup type that is specified in the Backup program. It will use the backup selection file named Commandline.bks, located in the directory C:\Program Files\Windows NT\ntbackup\data\ to choose which files to backup. The backup job will be named "My Job 3" and it will overwrite the tape named "Command Line Backup 1" with the new name "Command Line Backup 2."

Example 4:

ntbackup backup \\iggy-multi\d$ /j "Command Line Backup 4" /f "D:\backup.bkf"

ntbackup backup \\iggy-multi\d$ /j "Command Line Backup 5" /f "D:\backup.bkf" /a

ntbackup backup \\iggy-multi\d$ /j "Command Line Backup 6" /f "D:\backup.bkf"

The previous examples show how to perform a backup to a file from the command prompt. All three examples use the Backup program's default values for the backup type, verification setting, logging level, hardware compression, and any other restrictions. The first example shows how to backup \\iggy-multi\d$ to the file D:\Backup.bkf. The second example shows how to append the same backup to the same file. The third example shows how to overwrite the file with the same backup. In all three examples, a complete UNC name could be substituted for the drive letter (that is, instead of d:\backup.bkf, the user could specify \\iggy-multi\d$\backup.bkf as the backup destination).


Command line parameters

You can perform backup operations at the command prompt or from a batch file using the ntbackup command followed by various parameters. Square brackets [] indicate optional parameters.

Syntax:

ntbackup backup [systemstate] "bks file name" /J "job name" [/P "pool name"] [/G "guid name"] [/T "tape name"] [/N "media name"] [/F "file name"] [/D "set description"] [/A] [/V:yes|no] [/R:yes|no] [/L:f|s|n] [/M backup type] [/RS:yes|no] [/HC:on|off] [/UM] [/SNAP:on|off]

Parameters:

systemstate

Specifies that you want to back up the System State data. When you select this option, the backup type will be forced to normal or copy.

.bks file name

Specifies the name of the backup selection file (.bks file) to be used for this backup operation. A backup selection file contains information on the files and folders you have selected for backup. You have to create the file using the graphical user interface (GUI) version of Backup.

/J "job name"

Specifies the job name to be used in the log file. The job name usually describes the files and folders you are backing up in the current backup job, as well as the date and time you backed up the files.

/P "pool name"

Specifies the media pool from which you want to use media. This is usually a subpool of the Backup media pool, such as 4mm DDS. If you select this parameter, you must not use the following switches: /A /G /F /T.

/G "guid name"

Overwrites or appends to this tape. Do not use this switch in conjunction with /P.

/T "tape name"

Overwrites or appends to this tape. Do not use this switch in conjunction with /P.

/N "media name"

Specifies the new tape name. You must not use /A with this switch.

/F "file name"

Logical disk path and file name. You must not use the following switches with this switch: /P /G /T.

/D "set description"

Specifies a label for each backup set.

/A

Performs an append operation. Either /G or /T must be used in conjunction with this switch. Do not use this switch in conjunction with /P.

/V:yes|no

Verifies the data after the backup is complete.

/R:yes|no

Restricts access to this tape to the owner or members of the Administrators group.

/L:f|s|n

Specifies the type of log file: f=full, s=summary, n=none (no log file is created).

/M backup type

Specifies the backup type. It must be one of the following: normal, copy, differential, incremental, or daily.

/RS:yes|no

Backs up the Removable Storage database.

/HC:on|off

Uses hardware compression, if available, on the tape drive.

/UM

Finds the first available media, formats it, and uses it for the current backup operation. You must use the /P switch to designate a device-type media pool when you use the /UM switch so that Backup searches for the appropriate type of media (for example, 4mm DDS). When you use the /UM switch, Backup will search the following media pools for available media: Free pool, Import pool, Unrecognized pool, and Backup pool. When available media is found, the search will stop and the media will be formatted and used without prompting you for input. This command is not applicable to tape loaders and should be used only if you have a stand-alone tape device.

/SNAP:on|off

Specifies whether or not the backup is a volume shadow copy.

Notes

  • You cannot restore files from the command line by using the ntbackup command.
  • The following switches will default to what you have already set by using the graphical user interface (GUI) version of Backup, unless they are changed by a command-line switch: /V /R /L /M /RS /HC. For example, if hardware compression is turned on in the Options dialog box in Backup, it will be used if /HC is not specified on the command line. But if /HC:off is specified on the command line, it will override the Options dialog box setting and compression will not be used.
  • If you have Windows Media Services running on your computer, and you want to back up the files associated with these services, see "Running Backup with Windows Media Services" in the Windows Media Services online documentation. You must follow the procedures outlined in the Windows Media Services online documentation before you can back up or restore files associated with Windows Media Services.
  • You can only back up the System State data on a local computer. You cannot back up the System State data on a remote computer.
  • If you are using Removable Storage to manage media, or you are using the Remote Storage to store data, then you should regularly back up the files that are in the following folders:

    Systemroot\System32\Ntmsdata

    Systemroot\System32\Remotestorage

    This will ensure that all Removable Storage and Remote Storage data can be restored.